Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77987 - The KDE network configuration crashes when editing an entry in the hardware tab
Summary: The KDE network configuration crashes when editing an entry in the hardware tab
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kdeutils
Version: 7.3
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-16 19:01 UTC by Kurt Zingler
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-11-16 19:01:35 UTC


Attachments (Terms of Use)

Description Kurt Zingler 2002-11-16 19:01:24 UTC
Description of Problem:
I am unable to edit the hardware profile of my network card using the graphical
network configuration tool that comes with KDE.

Version-Release number of selected component (if applicable):
Default KDE with RedHat 7.3

How Reproducible:
Every time


Steps to Reproduce:
1. Select "Network COnfiguration" from the KDE menu (under system)
2. From the main window, select the "Hardware" tab
3. Once on the hardware tab, I selected my eth0 card (Netgear FA312, lists as
NatSemi DP83815 fast ethernet in the table
4. Select "Edit"
5. The the following error message comes up and the application crasehes

Traceback (innermost last): File "/usr/sbin/neat", line 1402, in ? 
gtk.mainloop() File "/usr/lib/python1.5/site-packages/gtk.py", line 2676, in
mainloop 
_gtk.gtk_main() File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in
__call__ 
ret = apply(self.func, a) File "/usr/sbin/neat", line 1248, in
on_hardwareEditButton_clicked 
self.showHardwareDialog(type, true) File "/usr/sbin/neat", line 1269, in
showHardwareDialog 
dialog = ethernetHardwareDialog(hw) File
"/usr/sbin/../share/redhat-config-network/netconfpkg/gui/ethernethardware.py",
line 75, in __init__ 
self.setup() File
"/usr/sbin/../share/redhat-config-network/netconfpkg/gui/ethernethardware.py",
line 135, in setup list.append(modInfo[i]['description']) KeyError: description 
 
Local variables in innermost frame: modInfo: <netconfpkg.Conf.ConfModInfo
instance at 84154f8> list: ['RealTek RTL8129', 'Raytheon Raylink/WebGear/Aviator
PCMCIA wireless', 'SMC Ultra32 EISA', 'DEC 21*40 and clones', 'Lucent
Orinoco/Melco PCMCIA wireless (alternate)', 'SMC 91c92 series PCMCIA', 'Aironet
4500 PCI-ISA-i365 wireless', 'Intel EtherExpress/1000', 'PCI NE2000 clones',
'MiCom-Interlan NI5010', '3Com 3c515 Corkscrew', 'SMC 83c170 EPIC/100', 'NI5210
ethernet', 'AT1500, HP J2405A, most NE2100/clone', 'MyriCOM MyriNET SBUS', '3Com
EtherLink16', 'AT&T/Lucent/Hitachi ISA WaveLAN', 'SiS 900/7016CI', 'Cabletron
E2100', 'NE1000, NE2000, and compatible', 'Intel EtherExpress Pro 100B', 'Allied
Telesis AT1700', 'Greenwigh GIrBIL IrDA', 'Older DEC 21040, most 21*40', 'NSC
IrDA', 'Sun Quad', 'ICL EtherTeam 16i/32 EISA', '3Com 3c590/3c595/3c90x/3cx980',
'3Com 3c589 series PCMCIA', 'Sun BigMac', 'ThunderLAN', '3Com 3c574 series
PCMCIA', 'Ansel Communications Model 3200', 'Aironet 4500 PCMCIA wireless',
'Xircom CBE-100 CardBus', 'General Instruments SB1000'] self:
<netconfpkg.gui.ethernethardware.ethernetHardwareDialog instance at 84fa6d8> i:
defxx 


Actual Results:


Expected Results:


Additional Information:

Comment 1 Ngo Than 2002-11-18 14:53:40 UTC
It's in redhat-config-network.

as i know, it is fixed in redhat-config-network-1.0.3-1, which will be released
as errata soon.


Note You need to log in before you can comment on or make changes to this bug.